> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Statistics for All Tenant Automations

> Get statistics for all tenant automations



## OpenAPI

````yaml GET /api/automations/statistics
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/automations/statistics:
    get:
      tags:
        - Tenant Automation
      summary: Get Statistics for All Tenant Automations
      description: Get statistics for all tenant automations
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            nullable: true
            description: The start date of the statistics
          required: false
          description: The start date of the statistics
          name: startDate
          in: query
        - schema:
            type: string
            nullable: true
            description: The end date of the statistics
          required: false
          description: The end date of the statistics
          name: endDate
          in: query
        - schema:
            type: string
            description: >-
              Filter statistics to automations matching the specified trigger
              type(s). Accepts a comma-separated list of values:
              'one_time,trigger_based,date_based'
          required: false
          description: >-
            Filter statistics to automations matching the specified trigger
            type(s). Accepts a comma-separated list of values:
            'one_time,trigger_based,date_based'
          name: triggerTypes
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      sms:
                        type: object
                        properties:
                          numberSent:
                            type: number
                          linksClicked:
                            type: number
                          openPercentage:
                            type: number
                            description: >-
                              The percentage of recipients who opened the email
                              (between 0 and 1
                          softBounceRate:
                            type: number
                            description: >-
                              The percentage of recipients who soft bounced
                              (between 0 and 1)
                          hardBounceRate:
                            type: number
                            description: >-
                              The percentage of recipients who hard bounced
                              (between 0 and 1)
                          spamComplaintRate:
                            type: number
                            description: >-
                              The percentage of recipients who complained about
                              the email (between 0 and 1)
                          unsubscribedRate:
                            type: number
                            description: >-
                              The percentage of recipients who unsubscribed from
                              the email (between 0 and 1)
                          errors:
                            type: number
                            description: >-
                              The number of SMS communications that
                              failed/errored
                        required:
                          - numberSent
                          - linksClicked
                          - openPercentage
                          - softBounceRate
                          - hardBounceRate
                          - spamComplaintRate
                          - unsubscribedRate
                          - errors
                      email:
                        type: object
                        properties:
                          numberSent:
                            type: number
                            description: The number of emails sent
                          linksClicked:
                            type: number
                            description: The number of links clicked
                          openPercentage:
                            type: number
                            description: >-
                              The percentage of recipients who opened the email
                              (between 0 and 1)
                          softBounceRate:
                            type: number
                            description: >-
                              The percentage of recipients who soft bounced
                              (between 0 and 1)
                          hardBounceRate:
                            type: number
                            description: >-
                              The percentage of recipients who hard bounced
                              (between 0 and 1)
                          spamComplaintRate:
                            type: number
                            description: >-
                              The percentage of recipients who complained about
                              the email (between 0 and 1)
                          unsubscribedRate:
                            type: number
                            description: >-
                              The percentage of recipients who unsubscribed from
                              the email (between 0 and 1)
                          errors:
                            type: number
                            description: >-
                              The number of email communications that
                              failed/errored
                        required:
                          - numberSent
                          - linksClicked
                          - openPercentage
                          - softBounceRate
                          - hardBounceRate
                          - spamComplaintRate
                          - unsubscribedRate
                          - errors
                      sales:
                        type: object
                        properties:
                          totalRevenue:
                            type: number
                            description: Total revenue for the automation
                          totalOrders:
                            type: number
                            description: Total number of orders for the automation
                        required:
                          - totalRevenue
                          - totalOrders
                    required:
                      - sms
                      - email
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````